#### Description:

The Box class implements a Region which represents a box with sides parallel to the axes of a Frame (i.e. an area which encloses a given range of values on each axis). A Box is similar to an Interval, the only real difference being that the Interval class allows some axis limits to be unspecified. Note, a Box will only look like a box if the Frame geometry is approximately flat. For instance, a Box centred close to a pole in a SkyFrame will look more like a fan than a box (the Polygon class can be used to create a box-like region close to a pole).

#### Constructor Function

astBox

#### Inheritance

The Box class inherits from the Region class.

#### Attributes

The Box class does not define any new attributes beyond those which are applicable to all Regions.

#### Functions

The Box class does not define any new functions beyond those which are applicable to all Regions.
Copyright (C) 2021 East Asian Observatory